Room Archiving Enhancement
~~~~~~~~~~~~~~~~~~~~~~~~~~
   Room archiving has been enhanced in two ways.

   1) The size a room archive can reach can now be given a limit.  This limit
is not an absolute limit; archives of messages may slightly exceed the
specified limits, up to (theoretically) as much as 7500 bytes (but that would
be rare).  Don't try to be too precise with this mechanism.

   When a room archive file reaches the limit, Citadel-86 will ATTEMPT to
attach a suffix of ".<digit>" to the end of the filename and rename the file to
the resultant name.  For instance, if the file a room is being archived to is
"moocow\cows", the file would be renamed to "moocow\cows.<digits>", where
<digits> is the next number in a sequence beginning with 0 in which the
resultant filename does not exist.  For instance, the first time the file
exceeded its limit, the file would be renamed to "moocow\cows.0" and the
original filename would be restarted, the next time the file would be renamed
to "moocow\cows.1", unless "moocow\cows.0" had been removed from the system,
etc.  MS-DOS sysops should be aware, then, that their original name should
not have a suffix, since DOS cannot handle filenames with more than one '.',
i.e., "cow.moo" would result in the specified limit being nullified.

   The limits are set by editing the room and selecting 'A'rchiving.  First
you'll be queried for a filename, and then a limit.

   Note that limits do NOT apply during initial archiving of a room.


   2) Room archive filenames can be slightly more abstract than they currently
are; they may now carry embedded indicators of the current month and year which
will change as the months and years pass.  In other words, you can use a couple
of macros in the name of room archive files if you wish.  The supported
macros are currently

         %y : This is the last two digits of the current year
         %m : This is the first three letters of the current month

   So, for instance, you could have a room archive name of "poetry\poems%y.%m".
Messages left in the room during March of 1990 would then be written to the
file "poetry\poems90.mar", while those left in August of 1991 would be written
to the file "poetry\poems91.aug".  This ability should make management of room
archive files a bit easier to deal with.

